#
# spec file for package wvdial
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wvdial
Version:        1.61
Release:        11.5
Summary:        A PPP dialer
License:        LGPL-2.1+
Group:          Hardware/Modem
Url:            http://alumnit.ca/wiki/?WvDial
Source0:        http://open.nit.ca/download/wvdial-%{version}.tar.bz2
Source1:        wvdial.conf
Source2:        wvdial-peers
Patch0:         empty-password.diff
Patch1:         passwordfd.diff
Patch2:         makefile.diff
Patch3:         wvdial-1.56-chat.patch
Patch4:         wvdial-1.56-no-logrotation-for-dev-null.patch
Patch5:         wvdial-1.61_nocrtscts.patch
Patch6:         wvdial-1.61-as-needed.patch
BuildRequires:  gcc-c++
BuildRequires:  pam-devel
BuildRequires:  pkgconfig
BuildRequires:  wvstreams-devel
Requires:       ppp
Provides:       suseppp
Provides:       toppp
Provides:       wvdial-soho
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A PPP dialer. With this program you can manually establish a PPP
connection to your ISP. Manual configuration, like dealing with chat
scripts, is normally not necessary as this program contains enough
intelligence to deal with most ISPs.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
./configure
export CFLAGS="%{optflags}"
export COPTS="$CFLAGS"
export CXXFLAGS="%{optflags}"
export CXXOPTS="$CXXFLAGS"
make -j1

%install
make ROOT=%{buildroot} prefix=%{buildroot}/usr install
mkdir -p %{buildroot}%{_sysconfdir}/ppp/peers
install -m 640 %{SOURCE1} %{buildroot}%{_sysconfdir}/wvdial.conf
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/ppp/peers/wvdial

%files
%defattr (-, root, root)
%{_bindir}/wvdial
%{_bindir}/wvdialconf
%dir %{_sysconfdir}/ppp/peers
%config(noreplace) %{_sysconfdir}/ppp/peers/wvdial
%config(noreplace) %attr (-, root, dialout) %{_sysconfdir}/wvdial.conf
%doc COPYING.LIB CHANGES README FAQ
%doc %{_mandir}/man1/wvdial.1.gz
%doc %{_mandir}/man1/wvdialconf.1.gz
%doc %{_mandir}/man5/wvdial.conf.5.gz

%changelog
* Mon May 12 2014 tchvatal@suse.com
- Obey as-needed adding patch wvdial-1.61-as-needed.patch
- Clean up with spec-cleaner
* Wed Mar 12 2014 opensuse@dstoecker.de
- improve PPPD config when not using hardware protocol
* Mon Feb 25 2013 opensuse@dstoecker.de
- update to release 1.61, drop two outdated patches:
  wvdial-glibc210.patch, wvdialer-retry.patch
- add option "No Hardware Protocol" to disable RTS/CTS
* Fri Oct  9 2009 anicka@suse.cz
- applied wvdialer-retry patch to fix bnc#500661
* Sat Jun 20 2009 coolo@novell.com
- fix build with glibc 2.10
- disable -as-needed to fix build
* Wed Jan 16 2008 hvogel@suse.de
- Update to 1.60
  * Documentation updates
  * Some minor fixes
* Tue Oct  2 2007 ssommer@suse.de
- disable log rotation when logging to /dev/null (#329676)
* Thu Aug 16 2007 ssommer@suse.de
- fix yet another bug that got introduced with the new commandline
  parsing (bug #297632)
* Fri Jul 20 2007 ssommer@suse.de
- fix broken commandline parsing (bug #291418)
* Wed Jul  4 2007 hvogel@suse.de
- Update to version 1.56
  * WvDialConf actually writes a configuration file after
    detecting your modem.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 hvogel@suse.de
- make use of RPM_OPT_FLAGS
* Tue Oct 26 2004 arvin@suse.de
- fixed passwordfd option for pppd (bug #47137)
* Thu Apr 22 2004 arvin@suse.de
- don't ruin /dev/null (bug #39287)
* Mon Apr 19 2004 arvin@suse.de
- removed fix that is obsolete with wvstreams 3.75
* Fri Apr  2 2004 arvin@suse.de
- fixed combination of option --chat and --no-syslog for certain
  modems (bug #36675)
* Fri Feb 13 2004 arvin@suse.de
- build as non-root user
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Fri Dec 12 2003 arvin@suse.de
- updated to version 1.54
- split of wvstreams package
* Thu Jun 12 2003 arvin@suse.de
- add /etc/ppp/peers to file list (although included in ppp)
* Fri May 23 2003 arvin@suse.de
- fix for rpm version 4 file list check
* Mon Feb 24 2003 arvin@suse.de
- fixed seg fault (bug #23981)
* Thu Dec  5 2002 arvin@suse.de
- allow empty password (bug #21976)
* Wed Nov 13 2002 arvin@suse.de
- fixed multi-line string literals
* Tue Aug  6 2002 arvin@suse.de
- fixed handling of option --config
* Tue May 21 2002 arvin@suse.de
- removed obsolete tcl and lx configuration tools
* Fri Feb 22 2002 arvin@suse.de
- fixes for gcc 3.1
* Fri Feb 15 2002 arvin@suse.de
- removed parsing of files in /usr/share/providers/ since wvdial
  cannot handle all informations provided there
- removed outdated and obsolete callbycall.secrets
* Mon Feb 11 2002 ro@suse.de
- tar option for bz2 is "j"
* Tue Feb  5 2002 arvin@suse.de
- added passwordfd plugin to peers file again
* Tue Feb  5 2002 arvin@suse.de
- removed debug option from peers file
* Thu Jan 31 2002 arvin@suse.de
- rename option "--file" to "--config"
- removed documentation about obsolete wvdial.dod
* Tue Jan 22 2002 arvin@suse.de
- changed option "--file" to only read that file
* Mon Jan  7 2002 arvin@suse.de
- modified peers file for new network configuration
* Fri Nov 30 2001 arvin@suse.de
- added option "--file" to read an extra config file
* Thu Sep 27 2001 arvin@suse.de
- removed obsolete wvdial-devel subpackage
* Mon Sep  3 2001 arvin@suse.de
- corrected de/susewvdial.README.SuSE
* Thu Aug  9 2001 arvin@suse.de
- added Obsoletes wvdial-soho
* Tue Jul 24 2001 arvin@suse.de
- added note on how to stop wvdial when asked for a
  password (bug #7314)
* Mon Jul 23 2001 arvin@suse.de
- removed obsolete and never reasonable working wvdial.dod
- disabled "WvDialMon Exec", because it's kind of insecure
  together with smpppd
- added options "DNS Test1" and "DNS Test2" (bug #7157)
* Sat Jul 21 2001 arvin@suse.de
- updated to version 1.42
* Thu Jul 19 2001 arvin@suse.de
- added option defaultroute in peers files (needed for smpppd).
* Tue Jul 17 2001 arvin@suse.de
- Output pppd message about used interface (needed for smpppd).
* Mon Jun 18 2001 schwab@suse.de
- Fix invalid use of token concatentation.
- Fix friend declarations.
* Thu May 17 2001 arvin@suse.de
- setting an option to the empty strings now works (bug #8429)
* Fri May 11 2001 arvin@suse.de
- added warning for non existing inherited sections (aftermath
  of bug #7937)
* Tue May  8 2001 arvin@suse.de
- fixed segmentation fault with --dump-conf option (bug #7896)
* Mon May  7 2001 arvin@suse.de
- Removed Callino (they are almost bankrupt) (bug #7705).
* Fri Apr 20 2001 bk@suse.de
- Summary: base for todays kinternet update(show diag notes on error)
-  fix pppd exit code checking (were only checked if time < 45 secs)
-  shutdown wvdial on pppd exit codes 2, 3, 4, 10, 15 and 17
-   (will enable kinternet to show the pppd messages and diag notes)
-  added descriptive message for pppd exit code 15 (LCP echo timeout)
* Mon Apr  9 2001 arvin@suse.de
- again fixed location of passwordfd plugin
- get rid of some compile warnings
* Wed Feb 28 2001 arvin@suse.de
- fixed location of passwordfd plugin
* Tue Feb  6 2001 arvin@suse.de
- fixed to compile without kernel header files
* Thu Jan 18 2001 arvin@suse.de
- fixed "PPPD Option" in wvdial.dod (bug #5948)
* Wed Jan 17 2001 bk@suse.de
- copied permissions from %%post to the end of %%install to fix
  permissions stored in the rpm filelist.
- Fixed display of READMEs in wvdial.lxdialog (frontend for YaST)
- Added hungarian text translations to wvdial.lxdialog
* Sat Jan 13 2001 bk@suse.de
- updated config.in and callbycall.secrets:
  removed obsolete IbC providers(fix for bug#4998)
* Fri Jan 12 2001 arvin@suse.de
- fixed usage message in wvdial.dod script
* Thu Jan 11 2001 arvin@suse.de
- added support for option "PPPD Option" to wvdial.dod (also
  for bug #5448)
* Wed Jan 10 2001 arvin@suse.de
- added option "PPPD Option" to wvdial.conf and pass it
  to pppd (fix for bug #5448)
* Mon Jan  8 2001 arvin@suse.de
- added option --dump-conf to wvdial and use it in
  wvdial.dod script (fix for bug #4997)
* Fri Jan  5 2001 arvin@suse.de
- fixed order by which config files are read
* Sat Dec  9 2000 bk@suse.de
- ATQ0 V1 E1 is now enough to pass detection, prior ATQ0 V1 E1 Z
  was requried(fix to allow autodetection of ASUSCOM ISDN TAs)
- Add autodetection and configuration of ASUSCOM TA-200 ISDN TAs.
- Add scanning of /dev/ircomm* devices with 9600 and 19200 baud.
- Changed confdir diff to read /usr/share/providers for files.
- renamed subpackage wvdial_s to wvdial-devel
* Tue Dec  5 2000 schwab@suse.de
- Fix missing include.
* Mon Nov 27 2000 arvin@suse.de
- added documentation for dial on demand (bug #3800, point 1)
* Mon Nov 27 2000 arvin@suse.de
- marked /etc/wvdial.conf as noreplace (fix for bug #4118), thus
  removed all this old stuff to restore /etc/wvdial.conf (so bug
  [#3880] is also fixed)
- moved init script from /sbin/init.d to /etc/init.d
* Sat Nov 25 2000 arvin@suse.de
- use insserv in post-install for creating init.d scripts
* Tue Oct 31 2000 smid@suse.cz
- Predefine providers moved to separate package providers
- Added new option Load Predefined Prefix which control including
  of config files
* Thu Oct  5 2000 smid@suse.cz
- Czech providers added to wvdial.conf
* Mon Sep 18 2000 arvin@suse.de
- fixed typo (bug #3800, point 2)
* Tue Sep 12 2000 arvin@suse.de
- wvdial.dod script installes a dummy DNS
* Mon Jul 31 2000 arvin@suse.de
- Added option --no-syslog to wvdial and comment to wvdial.dod.
  Partly fix for bug #3637.
* Thu Jul 27 2000 arvin@suse.de
- fixed mailbox-internet register script
* Mon Jul 24 2000 arvin@suse.de
- fixed path in recover-defaultsettings
* Fri Jul 21 2000 arvin@suse.de
- added support for diald
* Fri Jul 21 2000 arvin@suse.de
- removed space between dial command and dial prefix when sending
  to the modem
* Thu Jul 20 2000 arvin@suse.de
- close all file descriptors before starting `WVDialMon Exec'
  programm
* Thu Jul 20 2000 arvin@suse.de
- chap and pap secrets are writen when wvdial in started in chat
  mode. this is needed for dial on demand
- added to all providers:
    DialMessage1 =
    DialMessage2 =
    WVDialMon Exec =
* Wed Jul 12 2000 bk@suse.de
- fixed phone number check for multible "-" in phone nums.(req. for i4l)
* Tue Jul  4 2000 arvin@suse.de
- Changed default phone number from 00000 to 0. Otherwise default
  number calls emergency number in Australia.
- Added dialer entry for mailbox.net.uk, including script to
  register.
* Fri Jun 23 2000 arvin@suse.de
- just a flush (needed by kinternet) and a isatty check
* Mon Jun 19 2000 arvin@suse.de
- added modem response message DELAYED to wvdial (Fix for BUG #2919).
- new option "Check Def Route". If set, wvdial checks the default
  route.
* Tue Jun 13 2000 arvin@suse.de
- Documentation updated (esp. manpage).
- new option "Check DNS". If set, wvdial checks the nameserver
  by making to lookups (to www.suse.de and www.suse.com).
* Thu Jun  8 2000 arvin@suse.de
- The password is only piped to pppd if the plugin passwordfd.so
  exists. If the password is piped, the pap and chap secrets are
  not written.
- The modem speed is set to the highest successfully checked, not
  half of it.
- Documentation updated.
* Tue Jun  6 2000 arvin@suse.de
- updated list of Call by Call Providers
* Fri Jun  2 2000 arvin@suse.de
- new option "Ask Password". If set, wvdial will prompt for the
  password to use.
- Password is piped to pppd.
- added autodetection of Lasat Speed II ISDN TA to wvdialconf
- documentation updated
* Thu May 25 2000 arvin@suse.de
- wvdialmon is no longer an external program
- option "Run WVDialMon" and "WVDialMon Path" removed
* Tue May 23 2000 arvin@suse.de
- added documentation for new stuff (see below)
* Mon May 22 2000 arvin@suse.de
- added wvdialmon, a program which analysis the output of pppd and
  prints more user-friendly comments.
- wvdial.conf has three new options:
  - "Run WVDialMon": flag to indicate if wvdialmon should be run
  - "WVDialMon Path": where to find wvdialmon (/usr/bin/wvdialmon)
  - "WVDialMon Exec": a optional command wvdialmon executes when
    the connection has been established
* Fri May  5 2000 bk@suse.de
- added autodetection of ELSA Microlink ISDN/TLV.34 to wvdialconf
- spawn tail -f /var/log/messages when pppd is started.
- improved diagnostic messages even further.
- Idle Seconds => pppd idle 0 (no idle timeout)
* Thu May  4 2000 bk@suse.de
- remove S11=55 from wvdialconf init string probing(lets alone
  preset tone dial pulse and pause times)
- add more messages for descritions and help messages to solve problems.
* Mon May  1 2000 bk@suse.de
- remove dashes from phone numbers of predefined providers
* Tue Apr 18 2000 bk@suse.de
- updated wvdial.dod script with fixes from hoelcker
* Mon Mar 27 2000 bk@suse.de
- removed "no answer" from the list of known dial responses.
* Thu Mar 23 2000 bk@suse.de
- renamed wvdial-1.41.dif to customize-wvdial.dif and
    extended-suse-features.dif to wvdial-1.41.dif.
- added "no answer" string to the list of known dial responses.
* Thu Mar  9 2000 bk@suse.de
- moved replacedefaultroute extension for peers/wvdial to correct
  position.
* Wed Mar  8 2000 bk@suse.de
- added new Internet by Call service for Planet Intercom
- added autodetection and -configuration for 3com Sportster ISDN TA
* Wed Mar  8 2000 bk@suse.de
- updated wvdial.dod from Bernhard Hoelcker for control by rc.config.
- added rc.config template and add PPPD_DOD_START section to rc.config
- WvDial's default Idle Seconds parameter is set to 180 in /etc/wvdial.conf
- Added Tonline as predefined Provider to default wvdial.conf[fix for bug#2169]
* Tue Mar  7 2000 bk@suse.de
- added updated wvdial.tcl from Reinhard.
* Wed Mar  1 2000 bk@suse.de
- Disabled CbC Provider MSN Easysurfer(did not work - auth error)
- added ELSA Microlink 56k USB to the list of detected devices.
* Wed Mar  1 2000 werner@suse.de
- Fix config.guess selection
* Wed Mar  1 2000 bk@suse.de
- updated wvdial.dod script: fix for AutoDNS: use pppd option usepeerdns
* Wed Mar  1 2000 bk@suse.de
- removed /etc/wvdial.conf.d and /etc/wvdial.conf.d/* from filelist
- fixed replacedefaultroute zgrep error in %%post
* Wed Mar  1 2000 bk@suse.de
- added wvdial.conf options Modem Name and Modem Type for providing
  information about detected Modem/ISDN Adapter from wvdialconf
  to the user and his tools.
- improved and extendend wvdial.conf messages about modem detection,
  e.g. if an ISDN TA is detected, it's name is printed at the end.
- added scanning of ttyACM and ttyUSB devices after scanning ttyS devices.
- removed dialin data for UK local call providers from package, maybe
  it will be available per FTP or from http://www.suse-linux.uk
* Tue Feb 29 2000 bk@suse.de
- merged some diffs to extendedsusefeatures.diff
- added scanning for ttyACM* and ttyUSB* devices to wvdialconf
* Tue Feb 29 2000 uli@suse.de
- moved man pages to /usr/share/man
- minor fixes (automake powerpc/ppc problem, error msg in %%post)
* Tue Feb 29 2000 @suse.de
- added support for ZyXEL omni.net ISDN Terminal Adapters
- added support for 3COM U.S. Robotics ISDN Terminal Adapters
- improved modemscan for more baud rates(needed for ZyXEL omni TAs)
- added messages for british providers for registering the accounts.
* Sun Feb 27 2000 bk@suse.de
- wrote patch for wvdial which scans /etc/wvdial.conf.d/wvdial*
  and reads those files as config files.
- add a /etc/wvdial.conf.d directory and moved all predefined
  providers there, so they can be updated and extended later.
* Sat Feb 26 2000 bk@suse.de
- add ISDN supported flag to all CbC providers(tested) for Petr's ISDN conf.
* Fri Feb 25 2000 bk@suse.de
- fixed a bug in wvdial.lxdialog where it was not possible to empy
  a string variable which has a saved value.
- checks if there is a pppd which knows the replacedefaultroute option
  and adds it to /etc/ppp/peers/wvdial if so. This enables wvdial
  to replace an existing defaultroute if a proper pppd is installed.
- Added new CbC Provider MSN Easysurfer.
* Fri Feb 25 2000 bk@suse.de
- added ISDN parameter to wvdial.lxdialog
- merged ISDN-PPP.dif with extended-suse-features.dif
- wvdial recognizes the pppd exit code for an idle connection and
  informs the user that idle is set in the pppd options file. It
  automatically disables autoreconnect as if idle seconds were set
  in wvdial.conf and will not redial on inasked ppp idle hangup
  anymore.
* Mon Feb 21 2000 bk@suse.de
- fixed wvdial.dod script(formatting)
* Sun Feb 20 2000 bk@suse.de
- improved error handling for pppd(descriptive handling of pppd exit vals)
- improved modem initialisation routine in wvdial. If a modem does
  not respond on the Init1 String, ATQ0 is sent and then Init1 again.
  This helped with the ELSA Microlink Internet, for example.
- made Idle Seconds wvdial.conf parameter work finally.
- improved automatic detection and dialing of ISDN TAs: wvdialconf
  sets the wvdial.conf parameter ISDN = 1 if an ISDN TA is found.
  wvdial will pass the option default-asyncmap to pppd then. This
  fixes a problem with many ISDN adapters(namely here the ELSA Microlink
  Internet), which coul'nt connect otherwise.
- fix for bug report # 1795 (obsolete section in README.SuSE deleted)
- added wvdial.dod script for Dial on Demand with wvdial from hoelcker.
- added Idle Seconds parameter to default config files and wvdial.lxdialog
* Wed Feb 16 2000 bk@suse.de
- split hagenuk+onlyonemodem.dif into onlyonemodem.dif and
  isdnautoconfigure.dif
- isdnautoconfigure.dif extended to autoconfigure also the Power Dragon,
  the ELSA Microlink ISDN series terminal adapters and some Zyxel TAs.
- redundant permissions change(only for checks, real perm don't change)
- new /etc/wvdial.conf.dist provided by the package
- make backup of wvdial.conf in %%preun.
* Thu Feb 10 2000 bk@suse.de
- added detection of the Hagenuk Speed Dragon to wvdialconf
- added /etc/ppp/callbycall.secrets to the file list for exporting
  the updated secrets for the Internet by Call providers to the user
  and the ppp package.
- wvdialconf is content with one modem found now and not doesn't
  search for more.
* Sat Feb  5 2000 bk@suse.de
- %%post: recover old Dialer Default settings if /etc/wvdial.conf.rpmsave
  was created
- %%pre: if there is a wvdial.rpmsave, it is moved away/backed up by "old"
- wvdial.lxdialog:
  - german and engish texts enhanged to point to all the wvdial commands
  - if there is no localized text for some message, english default is used
  - added: ->WvDial finished at `date`
  - fix a warning when running wvdial
  - updated spanish and french translations
- a whole new bunch of additional german Internet by Call providers
* Fri Feb  4 2000 bk@suse.de
- removed obsolete "New PPPD = 1" default setting from default wvdial.conf
  file(only in glibc version) because "New PPPD" is built in default
  in wvdial now.
- use /dev/modem(if valid ttyS port) for scanning first and use it
  also in wvdial.conf(helps PCMCIA so it can change the link an
  wvdial will follow)
- scan ports now also with 115200 baud in case 1200 did not find a
  modem. Used to detect also ISDN Terminal Adapters which were
  not found earlyer.
- changed default ISDN terminal adapter strings to do AT\F init Init1
  and the adapter specific string in init2.
- removed TA settings which were needed as workaround for wvdial
  wrongly regonizing the "ISDN" in the CONNECT as an special word.
- change default Modem Init Strings to more universal strings which
  all modems and Terminal Adatpter should accept.
- add new "Static IP Address" field to wvdial.lxdialog and corresponding
  "Force Address =" placeholder entry to /etc/wvdial.conf for people
  which need to supply their static IP address to their providers
  to get properly connected. (help text has to be written and translated)
* Tue Feb  1 2000 bk@suse.de
- call by call provider wvdial.conf template update for yast2
- fix a bug in wvdialconf with empty wvdial.conf values(thanks petr
  for the report)
* Thu Jan 27 2000 bk@suse.de
- i18n of multible providers support nearly done, english and german
  descriptions should now be accurate enough for the new feature.
  (on the todo list: francais and spanish translations and load/save
  acknowledgement i18n)
  Note: Latest binaries need ncurses5 and new stdc++.
  Caution: Could not test with the new stdc++ yet.
* Mon Jan 17 2000 bk@suse.de
- update to wvdial-1.41, includes the area code and inheritance patches.
- added multinumber patch from simon pogarcic
- fix for new compuserve prompt.
- wvdial.lxdialog:
  * question if config should be saved on exit is skipped if nothing to save.
  * support for multible providers added:
    alternate configuration profiles can now be saved and loaded with
    menus. you can pick the profile you want to load or save from the
    list of currently existing profiles or save to a new file.
    (initial version: Foreign languge translations must be updated)
* Wed Jan  5 2000 bk@suse.de
- Small cosmetical correction.
* Wed Jan  5 2000 bk@suse.de
- Removed unneccesary execute bits from /etc/wvdial.conf(bug #1147)
* Wed Dec 22 1999 bk@suse.de
- Fixed Compuserve bug for appending "/noint/go:pppconnect".
* Mon Dec 13 1999 bk@suse.de
- Added security fix for wvdialconf's create mode of /etc/wvdial.conf,
  it is exploited if /etc/wvdial.conf is lost and created by wvdialconf.
  It normally does not happen, but it is a very valid security fix
  from Marc Heuse.
* Wed Dec  1 1999 bk@suse.de
- Fixed German Call-by-Call/Internet-by-Call Provider Telepassport.
* Wed Dec  1 1999 bk@suse.de
- Previous T-Online fix was wrong, reversed it.
- Correct T-Online fix added, works with both UIs and without UI now.
  (Tonline = 1 is now an alias for Stupid Mode = 1)
* Wed Dec  1 1999 bk@suse.de
- Fixed T-Online no longer working with Stupid Mode = 0, set to 1.
- README.SuSE and Troubleshooting files are shown in correct language.
* Mon Nov  8 1999 bk@suse.de
- Fixed a CbC bug introduced in the last version.
* Sat Nov  6 1999 bk@suse.de
- Added English help texts from Olaf, corrected and extended them
  extensively. Now also the new expert menu is fully covered.
- Corrected German help texts from Olaf and extended them extensively
  to even more cover the expert menu, especially terminal adapters.
- Enabled help texts for comments and commands in wvdial.lxdialog.
- Enabled fall-back of empty helptexts to default (english) text.
- Added french menu option texts for the new wvdial.lxdialog menus.
- Missing: french tranlsations of help texts for new enhancements.
* Fri Nov  5 1999 bk@suse.de
- Added all Spanish translations for last enhancements(ISDN/Expert),
  credits go to Jordi. Missing enhancements translations: en, fr
* Thu Nov  4 1999 bk@suse.de
- Added German translations for last enhancements(ISDN Terminaladapter,
  Expert Menu, Call by Call Providers and Area Code/Predial(Vorwahl)
- Fixed bug to be abble to show help texts for some compicated strings.
* Thu Nov  4 1999 bk@suse.de
- very extensive french fixes by Hans and Francoise Lermen, many thanks!
  These fixes resulted in other fixes:
- allow apostrophe(') to be used in french menu description texts.
- enlarged text space for description of radiomenus for french text.
- finally found how to reproduce a small language switching bug(fixed)
- fixed entering of special characters for passwords ($\#![]) Bug#839
* Fri Oct 29 1999 bk@suse.de
- added francais and spain transaltions to wvdial.tcl
- fix for changed tix interpreter path
* Fri Oct 29 1999 bk@suse.de
- some very long to describe but simple changes:
- Implemented Area Code (german: Vorwahl) in wvdial.lxdialog and
  added an empty default entry in /etc/wvdial.conf
  This allows to use Call-by-Call behind a PBX where you need
  dial e.g. a 0 before the number to get a pots line.
- Change the 'Autodetect Modem' menu option to a comment if a
  terminal adapter is configured.
- Moved the submenu of the (currenly only german) call-by-call
  provider menu to the main menu, below 'Run Wvdial'.
- The german call-by-call providers submenu will now only be visible
  if german language is used by wvdial.lxdialog.
* Thu Oct 28 1999 bk@suse.de
- Added wvdial.conf entries for call-by-call providers to /etc/wvdial.conf
- Removed (noreplace) from %%config wvdial.conf
- Moved wvdial.tcl out of the diff
* Thu Oct 28 1999 bk@suse.de
- Added predefined german call-by-call providers which don't require
  registration and work without specifying a proxy:
  - > Configure the current Profile -> Call a call-by-call provider
* Wed Oct 27 1999 bk@suse.de
- Added spanish option help texts from Jordi to wvdial.lxdialog
* Wed Oct 27 1999 bk@suse.de
- added support for ISDN terminal adapters:
  - Hagenuk Databox Speed Dragon and Viper Dragon
  - ELSA MicroLink ISDN/TLpro and ISDN/TLV.34
  - ELSA TanGo 1000 and ELSA TanGo 2000
  - All Zyxel ISDN Modems
- expert menu:
  - selection Standard Analog Modem / ISDN Modems
  - init strings
  - serial port
  - baud rate
- Todo-List:
  - Add entries in the message catalog to show what to translate
    into other languages, but it works also without them.
  - french and spain texts in wvdial.tcl still need translation
  - long lines in french README.SuSE needs to be breaked up
* Wed Oct 27 1999 bk@suse.de
- fixed french menu files, tweaked the permissions that olh set a little
  more, added install of foreign READMEs and Troubleshootings to
  /usr/doc/packages/wvdial, removed duplicated files.
- olh also added german help texts to all options, they are ready to be
  translated to english, spanish and french.
- french and spain texts in wvdial.tcl still need translation from Karine
  and Jordi.
- long lines in french README.SuSE needs to be breaked up.
* Mon Oct 25 1999 olh@suse.de
- added french and spain structures to wvdial.tcl
  need translation from Karine and Jordi
- added french and spain files to wvdial.lxdialog,
  must be activated by Bernd
* Mon Oct 25 1999 bk@suse.de
- Added German, Espaniol and Francais README.SuSE's and Troubleshooting
  files to the menus! Thanks to the Team Olaf Hering, Karine Nguygen
  and Jordi Jaen Pallares for this excellent work! French menus
  will come soon!
- Started add context sensitive help texts(for German: Auto DNS)
* Sat Oct 16 1999 bk@suse.de
- update to wvdial-1.40(cleanup of the code, many fixes and improvements)
- full port of all wvdial-1.40 patches to the new 1.40 Class definitions
  and cleaned-up code. Splitted the patches in the progress.
- added a fix for the new --chat mode of wvdial-1.40 for updating the secrets
- added patch for additional areacode for USA users, also remove the space
  after the dial_cmd e.g.: "ATDT 110" makes trouble with some mad modems.
  (Thanks to Olaf Hering for pointing that to me)
- added a feature for making a dialer inheritable from other dialers
- wvdialconf-1.40 scans /dev/modem before /dev/ttyS%%d, so if the link
  exists and is working(e.g. dynamically set by PCMCIA stuff) then wvdial
  will follow /dev/modem. (standard 1.40 feature, was already requested
  by Christian Zoz.)
- Changes from wvdial-1.40 which we didn't had added to 1.20 already:
- Lots of changes to the underlying wvstreams library and API; you probably
  won't notice, but it's much cleaner/faster/better now.
- '%%' is now a valid prompt character.
- The wvdial/MENUS file documents login menu types that we currently do/don't
  support.  Patches to fix any of the unsupported ones are (VERY!) welcome, but
  try to make sure you don't break any supported ones while you're at it.
- After wvdial guesses at a login menu, it now reverts to default_reply.
  That means if menu guessing doesn't quite work the first time, you
  have a chance to recover and send 'ppp' instead.
- Michael K. Johnson from Red Hat fixed a bug with baud rate detection:
  we weren't actually checking if the kernel allowed us to set the
  new rate, so wvdialconf choose the wrong one sometimes.
- mkj also added support for a "--chat" option to wvdial:  this will allow
  you to use wvdial as a drop-in replacement for the "chat" program,
  because wvdial will talk on stdin/stdout and log messages to syslog.
  Try something like this:
    pppd connect 'wvdial --chat' /dev/ttyS2 115200
  Thanks, Mike!
- If you have the liblockdev library installed, we use that instead of our
  own routines to create lock files in /var/lock.  Among other things,
  that makes /dev/modem symlinks safe!  (But _everybody_ has to use
  liblockdev on your system if you really want it to be useful.)
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 uli@suse.de
- fixed spec for PPC
* Tue Aug 24 1999 bk@suse.de
- Added support for Hagenuk Data Box Speed Dragon (great piece of
  hardware: ISDN-TA + full PBX for 3 analog Extensions)
- Pass speed option to pppd, so 230400 baud should also work if
  pppd supports 230400 baud. (pppd had problems to detect this
  speed from the device and complained that he needs the speed option)
* Wed Jul 28 1999 bk@suse.de
- changed default dial test number...
* Mon Jul 26 1999 bk@suse.de
- extended documentation in README.SuSE
- i18n fixes(bash Grrr...)=:-)
- wvdial.lxdialog is also spanish now! Small step for a men, ...
* Tue Jul 20 1999 bk@suse.de
- Fixed translation english/german of the menus and made them change
  the language immediately.
- Fixed tmp file cleanup and config file security for passwords.
- Now, as documented in the Manual, wvdial.lxdialog supports the
  the dialout user, which can dial out but not see any passwords.
  The configuration menu for dialout users reflects this feature,
  and unautorized users are rejected.
* Fri Jun 25 1999 bk@suse.de
- Idle Seconds didn't work with glibc-2.1.1 -> bug in WvString class
- changed README to reflect the new things:
  * Automatic DNS config is per default enabled in wvdial
  * Documents wvdial.lxconfig
- Added file Troubleshooting
- Added "Autodetect Modem" to wvdial.lxconfig:
  * calls wvdialconf /etc/wvdial.conf and shows output
- Added "Configure DNS with YaST(only if not Auto DNS)" to wvdial.lxconfig
- Added Documentation into the Menu of to wvdial.lxconfig
* Thu Jun 24 1999 bk@suse.de
- added experimental Idle Seconds = Parameter
- wrote ASCII frontend wvdial.lxconfig
* Tue Jun 15 1999 bk@suse.de
- Fixed "integer value too large" problem -> longer telephone numbers fixed.
* Mon May 10 1999 bk@suse.de
- Added additional explanations on wvdial usage, PPP setup and
  negotiations to README.SuSE
  Additional Todo: Add some explanatory messages to the wvdial
    output which gives a little information whats
    up now. e.g. "Password authentication error -
    please check your PPP Username and Password"
    "Congratulations! Connection up and running,
    now start your favourite web browser or other
    internet application."
  - Currenty you can only guess what happend
    and look into /var/log/messages.
  - At least it's documented now.
* Mon May 10 1999 bk@suse.de
- Usernames and Passwords in {p|ch}ap-secrets are now between "".
  Extended README.SuSE to inculde Documentation about DNS conifg...
  Added the wvdial FAQ wvfaq.txt to the package.
  Todo: * Support for pppd-2.3.7: usepeerdns -> Automatic DNS config.
  - It is tested and I will add it in next release.
  * Support for "[*] No Dialtone", so it can be used on
    private and office telephone systems. -> (ATX3)
  * Support for '"' in the password, escape character support
    (\\) in pap-secrets for usernames and Passwords.
  * Nice colorful ASCII-Frontend for calling from YaST
* Thu Apr  1 1999 choeger@suse.de
- Bugfix for wvdial.tcl
* Tue Feb  2 1999 ro@suse.de
- build on alpha
* Fri Dec 11 1998 tmg@suse.de
- Initial Version, with some special modifications for CompuServe support
- added GUI frontend wvdial.tcl
